
Redmine - Defect #10802

Theme list has onle the default theme

2012-04-30 16:10 - Motaz Abuthiab

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

After updateing from Redmine 1.4.1.stable.9522 (MySQL) to Redmine 1.4.1.stable.9592 (MySQL) If you go to setting->display and

check the themes, all the installed themes are not showing. you can choose only the default theme

My application's environment

Ruby version              1.8.7 (2010-08-16 patchlevel 302) i486-linux)

RubyGems version          1.3.7

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine-1.4

Environment               production

Database adapter          mysql

Database schema version   20120301153455

History

#1 - 2012-04-30 18:44 - Jean-Philippe Lang

- Resolution set to Cant reproduce

AFAIK, no change was made to the code that loads the themes between these 2 revesions, and it works for me.

#2 - 2012-05-01 12:29 - Motaz Abuthiab

any idea how to debug this issue better before we close it?

regards

m.

#3 - 2012-05-01 18:02 - Jean-Philippe Lang

Stupid question: did you make sure that the themes are actually present with their stylesheets (application.css) in your new Redmine instance?

#4 - 2012-05-02 12:49 - Motaz Abuthiab

If you mean if I have the themes in the correct directory, the answer is yes, all of them has application.css inside the dir stylesheets

drwx-wx-wx 5 www-data www-data 4096 28 apr 16.47 classic

drwx-wx-wx 4 www-data www-data 4096 28 apr 16.47 a1

drwx-wx-wx 4 www-data www-data 4096 28 apr 16.47 alternate

#5 - 2012-05-02 18:58 - Jean-Philippe Lang

Yes, that's what I meant. And I guess that the themes directory in public/ is readable too. Sorry but I don't have a clue. What do you get when trying to

load the themes from the console:

$ ./script/console production

Loading production environment (Rails 2.3.14)

>> Redmine::Themes.scan_themes

=> [#<Redmine::Themes::Theme:0x7fbdce58a3e8 @javascripts=nil, @stylesheets=nil, @n

ame="Alternate", @dir="alternate", @path="/var/rails/m.redmine.org/public/themes/a

lternate">, #<Redmine::Themes::Theme:0x7fbdce58a3c0 @javascripts=nil, @stylesheets
=nil, @name="Classic", @dir="classic", @path="/var/rails/m.redmine.org/public/them

es/classic">]

 The code is pretty simple: source:/branches/1.4-stable/lib/redmine/themes.rb@9592#L91.

#6 - 2012-05-02 21:48 - Motaz Abuthiab

here is what i got, I can see all of the themes here

dev2:/var/www/redmine-1.4# ./script/console production

Loading production environment (Rails 2.3.14)

irb: warn: can't alias context from irb_context.

>> Redmine::Themes.scan_themes

=> [#<Redmine::Themes::Theme:0xb4f65720 @javascripts=nil, @stylesheets=nil, @name="A1", @path="/var/www/redmin

e-1.4/public/themes/a1", @dir="a1">, #<Redmine::Themes::Theme:0xb4f656e4 @javascripts=nil, @stylesheets=nil, @

name="Alternate", @path="/var/www/redmine-1.4/public/themes/alternate", @dir="alternate">, #<Redmine::Themes::

Theme:0xb4f6570c @javascripts=nil, @stylesheets=nil, @name="Classic", @path="/var/www/redmine-1.4/public/theme

s/classic", @dir="classic">]

>> 

 Here is the content of the folder classic

dev2:/var/www/redmine-1.4/public/themes/classic# ls

images    stylesheets

dev2:/var/www/redmine-1.4/public/themes/classic# ls stylesheets/

application.css

#7 - 2012-05-02 21:54 - Jean-Philippe Lang

It looks just fine. Maybe you could try to restart Redmine, just in case...

#8 - 2012-05-02 22:16 - Motaz Abuthiab

Jean-Philippe Lang wrote:

It looks just fine. Maybe you could try to restart Redmine, just in case...

 Still nothing, seems that I am the only person who has this problem. I will try with a fresh install and let you know

m.

#9 - 2012-05-02 22:59 - Motaz Abuthiab

- Status changed from New to Resolved

New install fixed the problem

ev2:/var/www/redmine# RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.7

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine-1.4

Environment               production

Database adapter          mysql

Database schema version   20120301153455

About your Redmine plugins

CRM plugin                            2.3.3-pro-beta-1

Redmine Monitoramento & Controle      0.0.1

Redmine Contacts Google Sync plugin   2.2.4

#10 - 2012-05-05 18:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/9592/entry/branches/1.4-stable/lib/redmine/themes.rb#L91


OK, thanks for the feedback.
